Chromium Code Reviews
Help | Chromium Project | Sign in
(8)

Issue 7461059: Fullscreen JS API implementation. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 years, 8 months ago by koz (OOO until 15th September)
Modified:
3 years, 7 months ago
CC:
chromium-reviews, joi+watch-content_chromium.org, jam, jeremya, schechter
Visibility:
Public.

Description

Fullscreen JS API implementation. BUG= TEST= Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=98193

Patch Set 1 #

Patch Set 2 : tweaks #

Total comments: 2

Patch Set 3 : responded to sky's comment #

Total comments: 10

Patch Set 4 : respond to comments #

Total comments: 13

Patch Set 5 : respond to comments #

Patch Set 6 : respond to comments #

Patch Set 7 : rebased #

Patch Set 8 : windows work #

Patch Set 9 : minor behvaioural enhancements #

Patch Set 10 : make ctrl-tab exit JS fullscreen mode #

Total comments: 10

Patch Set 11 : respond to comments #

Total comments: 19

Patch Set 12 : respond to comments #

Total comments: 4

Patch Set 13 : respond to comments #

Patch Set 14 : respond to comments #

Total comments: 1

Patch Set 15 : rebase #

Patch Set 16 : add test #

Total comments: 4

Patch Set 17 : whitespace #

Patch Set 18 : fix test #

Patch Set 19 : fix test #

Patch Set 20 : remove commented out code #

Total comments: 6

Patch Set 21 : add test #

Patch Set 22 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+177 lines, -4 lines) Patch
M chrome/browser/ui/browser.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 6 chunks +40 lines, -1 line 0 comments Download
M chrome/browser/ui/browser.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 7 chunks +47 lines, -2 lines 0 comments Download
M chrome/browser/ui/browser_browsertest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +30 lines, -0 lines 0 comments Download
M chrome/browser/ui/tab_contents/tab_contents_wrapper.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/browser/ui/tab_contents/tab_contents_wrapper.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/common/chrome_notification_types.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +3 lines, -0 lines 0 comments Download
M content/browser/renderer_host/render_view_host.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/renderer_host/render_view_host.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 2 chunks +7 lines, -0 lines 0 comments Download
M content/browser/renderer_host/render_view_host_delegate.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +3 lines, -0 lines 0 comments Download
M content/browser/tab_contents/tab_contents.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/tab_contents/tab_contents.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +5 lines, -0 lines 0 comments Download
M content/browser/tab_contents/tab_contents_delegate.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +4 lines, -0 lines 0 comments Download
M content/browser/tab_contents/tab_contents_delegate.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +4 lines, -0 lines 0 comments Download
M content/common/view_messages.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 2 chunks +8 lines, -0 lines 0 comments Download
M content/renderer/render_view.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 2 chunks +3 lines, -0 lines 0 comments Download
M content/renderer/render_view.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 4 chunks +14 lines, -1 line 0 comments Download
Trybot results:
Commit: CQ not working?

Messages

Total messages: 46 (0 generated)
koz (OOO until 15th September)
Hi all, This is a proof of concept for implementing a the JS fullscreen API ...
3 years, 8 months ago (2011-07-27 02:12:18 UTC) #1
Peter Kasting
You assigned four reviewers. Can you say what you wanted each to look at?
3 years, 8 months ago (2011-07-27 17:58:44 UTC) #2
koz (OOO until 15th September)
I ran this idea before Andrew before writing this patch and he suggested the people ...
3 years, 8 months ago (2011-07-27 18:46:41 UTC) #3
Peter Kasting
On 2011/07/27 18:46:41, koz wrote: > My intent was to see if any of you ...
3 years, 8 months ago (2011-07-27 18:56:05 UTC) #4
koz (OOO until 15th September)
On 2011/07/27 18:56:05, Peter Kasting wrote: > On 2011/07/27 18:46:41, koz wrote: > > My ...
3 years, 8 months ago (2011-07-27 22:53:38 UTC) #5
koz (OOO until 15th September)
[-pkasting, +sky]
3 years, 8 months ago (2011-07-27 22:55:54 UTC) #6
sky
http://codereview.chromium.org/7461059/diff/2001/content/browser/renderer_host/render_view_host.cc File content/browser/renderer_host/render_view_host.cc (right): http://codereview.chromium.org/7461059/diff/2001/content/browser/renderer_host/render_view_host.cc#newcode970 content/browser/renderer_host/render_view_host.cc:970: content::GetContentClient()->browser()->EnterFullscreenMode(); ContentClient isn't intended for this sort of call. ...
3 years, 8 months ago (2011-07-28 00:45:54 UTC) #7
koz (OOO until 15th September)
Thanks, sky! http://codereview.chromium.org/7461059/diff/2001/content/browser/renderer_host/render_view_host.cc File content/browser/renderer_host/render_view_host.cc (right): http://codereview.chromium.org/7461059/diff/2001/content/browser/renderer_host/render_view_host.cc#newcode970 content/browser/renderer_host/render_view_host.cc:970: content::GetContentClient()->browser()->EnterFullscreenMode(); On 2011/07/28 00:45:54, sky wrote: > ...
3 years, 8 months ago (2011-07-28 03:20:46 UTC) #8
sky
http://codereview.chromium.org/7461059/diff/8002/chrome/browser/ui/browser.h File chrome/browser/ui/browser.h (right): http://codereview.chromium.org/7461059/diff/8002/chrome/browser/ui/browser.h#newcode504 chrome/browser/ui/browser.h:504: void EnterFullscreenMode(); These should be with the other TabContentsDelegate ...
3 years, 8 months ago (2011-07-28 03:53:28 UTC) #9
koz (OOO until 15th September)
http://codereview.chromium.org/7461059/diff/8002/chrome/browser/ui/browser.h File chrome/browser/ui/browser.h (right): http://codereview.chromium.org/7461059/diff/8002/chrome/browser/ui/browser.h#newcode504 chrome/browser/ui/browser.h:504: void EnterFullscreenMode(); On 2011/07/28 03:53:29, sky wrote: > These ...
3 years, 8 months ago (2011-07-28 05:14:29 UTC) #10
sky
http://codereview.chromium.org/7461059/diff/8002/content/browser/renderer_host/render_view_host_delegate.h File content/browser/renderer_host/render_view_host_delegate.h (right): http://codereview.chromium.org/7461059/diff/8002/content/browser/renderer_host/render_view_host_delegate.h#newcode361 content/browser/renderer_host/render_view_host_delegate.h:361: // Puts the browser into fullscreen mode, focussing on ...
3 years, 8 months ago (2011-07-28 16:07:02 UTC) #11
scherkus (very slow to review)
I've got some nits on naming but don't wait on me to land this patch ...
3 years, 8 months ago (2011-07-28 22:43:08 UTC) #12
sky
http://codereview.chromium.org/7461059/diff/14001/chrome/browser/ui/browser.cc File chrome/browser/ui/browser.cc (right): http://codereview.chromium.org/7461059/diff/14001/chrome/browser/ui/browser.cc#newcode3481 chrome/browser/ui/browser.cc:3481: if (window_->IsFullscreen()) On 2011/07/28 22:43:08, scherkus wrote: > are ...
3 years, 8 months ago (2011-07-28 22:45:37 UTC) #13
koz (OOO until 15th September)
http://codereview.chromium.org/7461059/diff/8002/content/browser/renderer_host/render_view_host_delegate.h File content/browser/renderer_host/render_view_host_delegate.h (right): http://codereview.chromium.org/7461059/diff/8002/content/browser/renderer_host/render_view_host_delegate.h#newcode361 content/browser/renderer_host/render_view_host_delegate.h:361: // Puts the browser into fullscreen mode, focussing on ...
3 years, 8 months ago (2011-07-29 04:12:57 UTC) #14
sky
http://codereview.chromium.org/7461059/diff/8002/content/browser/renderer_host/render_view_host_delegate.h File content/browser/renderer_host/render_view_host_delegate.h (right): http://codereview.chromium.org/7461059/diff/8002/content/browser/renderer_host/render_view_host_delegate.h#newcode361 content/browser/renderer_host/render_view_host_delegate.h:361: // Puts the browser into fullscreen mode, focussing on ...
3 years, 8 months ago (2011-07-29 15:51:46 UTC) #15
koz (OOO until 15th September)
http://codereview.chromium.org/7461059/diff/8002/content/browser/renderer_host/render_view_host_delegate.h File content/browser/renderer_host/render_view_host_delegate.h (right): http://codereview.chromium.org/7461059/diff/8002/content/browser/renderer_host/render_view_host_delegate.h#newcode361 content/browser/renderer_host/render_view_host_delegate.h:361: // Puts the browser into fullscreen mode, focussing on ...
3 years, 8 months ago (2011-08-01 03:43:38 UTC) #16
sky
LGTM
3 years, 8 months ago (2011-08-01 14:03:47 UTC) #17
koz (OOO until 15th September)
On 2011/08/01 14:03:47, sky wrote: > LGTM sky could I get you to take another ...
3 years, 7 months ago (2011-08-09 00:56:38 UTC) #18
koz (OOO until 15th September)
On 2011/08/09 00:56:38, koz wrote: > On 2011/08/01 14:03:47, sky wrote: > > LGTM > ...
3 years, 7 months ago (2011-08-11 00:51:11 UTC) #19
Peter Kasting
I can try and look at this tomorrow. I think banning tab switching while fullscreened ...
3 years, 7 months ago (2011-08-11 01:12:25 UTC) #20
koz (OOO until 15th September)
On 2011/08/11 01:12:25, Peter Kasting wrote: > I can try and look at this tomorrow. ...
3 years, 7 months ago (2011-08-11 02:00:41 UTC) #21
Peter Kasting
In one of my comments below I condense a pair of enter/exit functions into a ...
3 years, 7 months ago (2011-08-11 17:53:38 UTC) #22
koz (OOO until 15th September)
Thanks, Peter. I took your advice and merged the Enter/Exit functions into one with a ...
3 years, 7 months ago (2011-08-15 05:50:26 UTC) #23
Peter Kasting
On 2011/08/15 05:50:26, koz wrote: > I've changed the behaviour here so that instead of ...
3 years, 7 months ago (2011-08-15 17:51:28 UTC) #24
koz (OOO until 15th September)
On 2011/08/15 17:51:28, Peter Kasting wrote: > On 2011/08/15 05:50:26, koz wrote: > > I've ...
3 years, 7 months ago (2011-08-15 20:58:18 UTC) #25
Ben Goodger (Google)
http://codereview.chromium.org/7461059/diff/42001/chrome/browser/ui/browser.cc File chrome/browser/ui/browser.cc (right): http://codereview.chromium.org/7461059/diff/42001/chrome/browser/ui/browser.cc#newcode1527 chrome/browser/ui/browser.cc:1527: ExitTabbedFullscreenMode(); For all of these... these aren't the only ...
3 years, 7 months ago (2011-08-15 22:37:12 UTC) #26
Peter Kasting
Ben's comments about where to listen for tab changes seem pretty critical. Other stuff LGTM. ...
3 years, 7 months ago (2011-08-15 22:42:54 UTC) #27
koz (OOO until 15th September)
http://codereview.chromium.org/7461059/diff/42001/chrome/browser/ui/browser.cc File chrome/browser/ui/browser.cc (right): http://codereview.chromium.org/7461059/diff/42001/chrome/browser/ui/browser.cc#newcode1527 chrome/browser/ui/browser.cc:1527: ExitTabbedFullscreenMode(); On 2011/08/15 22:37:12, Ben Goodger (Google) wrote: > ...
3 years, 7 months ago (2011-08-16 07:06:55 UTC) #28
Peter Kasting
http://codereview.chromium.org/7461059/diff/48001/chrome/browser/ui/browser.cc File chrome/browser/ui/browser.cc (right): http://codereview.chromium.org/7461059/diff/48001/chrome/browser/ui/browser.cc#newcode3147 chrome/browser/ui/browser.cc:3147: int active_index = tab_handler_->GetTabStripModel()->active_index(); Nit: This variable seems unused? ...
3 years, 7 months ago (2011-08-16 18:04:43 UTC) #29
koz (OOO until 15th September)
http://codereview.chromium.org/7461059/diff/48001/chrome/browser/ui/browser.cc File chrome/browser/ui/browser.cc (right): http://codereview.chromium.org/7461059/diff/48001/chrome/browser/ui/browser.cc#newcode3147 chrome/browser/ui/browser.cc:3147: int active_index = tab_handler_->GetTabStripModel()->active_index(); On 2011/08/16 18:04:43, Peter Kasting ...
3 years, 7 months ago (2011-08-17 03:47:05 UTC) #30
Peter Kasting
Any particular reason you switched |notify_on_fullscreen_exit_| from a bool to a TCW*? It seems like ...
3 years, 7 months ago (2011-08-17 17:36:22 UTC) #31
koz (OOO until 15th September)
On 2011/08/17 17:36:22, Peter Kasting wrote: > Any particular reason you switched |notify_on_fullscreen_exit_| from a ...
3 years, 7 months ago (2011-08-17 21:51:34 UTC) #32
Peter Kasting
On 2011/08/17 21:51:34, koz wrote: > On 2011/08/17 17:36:22, Peter Kasting wrote: > > Any ...
3 years, 7 months ago (2011-08-17 21:55:24 UTC) #33
koz (OOO until 15th September)
On 2011/08/17 21:55:24, Peter Kasting wrote: > On 2011/08/17 21:51:34, koz wrote: > > On ...
3 years, 7 months ago (2011-08-18 00:22:57 UTC) #34
Peter Kasting
LGTM with one question http://codereview.chromium.org/7461059/diff/58001/chrome/browser/ui/browser.cc File chrome/browser/ui/browser.cc (right): http://codereview.chromium.org/7461059/diff/58001/chrome/browser/ui/browser.cc#newcode2929 chrome/browser/ui/browser.cc:2929: ExitTabbedFullscreenModeIfNecessary(); I wonder if it ...
3 years, 7 months ago (2011-08-18 00:48:51 UTC) #35
I haz the power (commit-bot)
Presubmit check for 7461059-60001 failed and returned exit status 1. Running presubmit commit checks ...
3 years, 7 months ago (2011-08-23 06:42:55 UTC) #36
koz (OOO until 15th September)
On 2011/08/23 06:42:55, I haz the power (commit-bot) wrote: > Presubmit check for 7461059-60001 failed ...
3 years, 7 months ago (2011-08-23 06:46:56 UTC) #37
Ben Goodger (Google)
Do you have any tests for this behavior? If not, you should.
3 years, 7 months ago (2011-08-23 16:07:21 UTC) #38
koz (OOO until 15th September)
On 2011/08/23 16:07:21, Ben Goodger (Google) wrote: > Do you have any tests for this ...
3 years, 7 months ago (2011-08-24 00:16:53 UTC) #39
brettw
LGTM http://codereview.chromium.org/7461059/diff/65001/content/browser/tab_contents/tab_contents_delegate.cc File content/browser/tab_contents/tab_contents_delegate.cc (right): http://codereview.chromium.org/7461059/diff/65001/content/browser/tab_contents/tab_contents_delegate.cc#newcode284 content/browser/tab_contents/tab_contents_delegate.cc:284: bool enter_fullscreen) { Align to TabContents. http://codereview.chromium.org/7461059/diff/65001/content/browser/tab_contents/tab_contents_delegate.h File ...
3 years, 7 months ago (2011-08-24 00:28:31 UTC) #40
koz (OOO until 15th September)
http://codereview.chromium.org/7461059/diff/65001/content/browser/tab_contents/tab_contents_delegate.cc File content/browser/tab_contents/tab_contents_delegate.cc (right): http://codereview.chromium.org/7461059/diff/65001/content/browser/tab_contents/tab_contents_delegate.cc#newcode284 content/browser/tab_contents/tab_contents_delegate.cc:284: bool enter_fullscreen) { On 2011/08/24 00:28:31, brettw wrote: > ...
3 years, 7 months ago (2011-08-24 00:36:08 UTC) #41
Ben Goodger (Google)
http://codereview.chromium.org/7461059/diff/66019/chrome/browser/ui/browser.cc File chrome/browser/ui/browser.cc (right): http://codereview.chromium.org/7461059/diff/66019/chrome/browser/ui/browser.cc#newcode1280 chrome/browser/ui/browser.cc:1280: FROM_HERE, method_factory_.NewRunnableMethod( 4-space indents here http://codereview.chromium.org/7461059/diff/66019/chrome/browser/ui/browser.cc#newcode1286 chrome/browser/ui/browser.cc:1286: chrome::NOTIFICATION_FULLSCREEN_CHANGED, and ...
3 years, 7 months ago (2011-08-24 18:21:48 UTC) #42
koz (OOO until 15th September)
http://codereview.chromium.org/7461059/diff/66019/chrome/browser/ui/browser.cc File chrome/browser/ui/browser.cc (right): http://codereview.chromium.org/7461059/diff/66019/chrome/browser/ui/browser.cc#newcode1280 chrome/browser/ui/browser.cc:1280: FROM_HERE, method_factory_.NewRunnableMethod( On 2011/08/24 18:21:49, Ben Goodger (Google) wrote: ...
3 years, 7 months ago (2011-08-24 21:39:33 UTC) #43
Ben Goodger (Google)
LGTM
3 years, 7 months ago (2011-08-24 21:42:56 UTC) #44
I haz the power (commit-bot)
Can't apply patch for file chrome/browser/ui/browser.h. While running patch -p1 --forward --force; patching file chrome/browser/ui/browser.h ...
3 years, 7 months ago (2011-08-25 02:14:35 UTC) #45
I haz the power (commit-bot)
3 years, 7 months ago (2011-08-25 06:30:53 UTC) #46
Change committed as 98193
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld ecdb341-tainted